/** @odoo-module **/
import * as envModule from "@web/env";
import {patch} from "@web/core/utils/patch";

const originalMakeEnv = envModule.makeEnv;

patch(envModule, {
    async makeEnv() {
        const env = await originalMakeEnv(...arguments);
        env.translate = odoo.translate;
        return env;
    },
});
